# Module: `nbformat.v3.convert`

Code for converting notebooks to and from the v2 format.

Authors:

- Brian Granger
- Min RK
- Jonathan Frederic

## 4 Functions

`IPython.nbformat.v3.convert.``upgrade`(nb, from_version=2, from_minor=0)

  Convert a notebook to v3.

  Parameters:

  nb : NotebookNode

  > The Python representation of the notebook to convert.

  from_version : int

  > The original version of the notebook to convert.

  from_minor : int

  > The original minor version of the notebook to convert (only relevant for v >= 3).

`IPython.nbformat.v3.convert.``heading_to_md`(cell)

  turn heading cell into corresponding markdown

`IPython.nbformat.v3.convert.``raw_to_md`(cell)

  let raw passthrough as markdown

`IPython.nbformat.v3.convert.``downgrade`(nb)

  Convert a v3 notebook to v2.

  Parameters:

  nb : NotebookNode

  > The Python representation of the notebook to convert.